application:setOrientation("portrait")
application:setLogicalDimensions(600,800)
XX,YY,WW,HH = application:getLogicalBounds()

local bricks = {}
local ballShape = Pixel.new(0xcc5500,1,80,80)
local ball = {xdir = 1, ydir = 1}

local function createbrick(w,h)
	return Pixel.new(0x44aacc,1,w,h)
end 

local lvl = 
		{
		{1,1,1,1,1,1,1},
		{1,0,0,0,0,1,1},
		{1,0,0,0,0,0,1},
		{1,1,1,0,0,0,1},
		{1,0,0,0,0,0,1},
		{1,0,0,1,0,0,1},
		{1,0,0,0,0,0,1},
		{1,1,0,0,0,0,1},
		{1,1,1,1,1,1,1},
		}

local bW,bH = WW/#lvl[1], HH/#lvl --brick width & height 

local function sceneinit()
	for i=1, #lvl do
		for j=1, 7 do
			if lvl[i][j] ==  1 then 
				local brick = createbrick(bW,bH)
				table.insert(bricks, brick)
				brick:setPosition(j*(bW+2)-bW-8,i*(bH+2)-bH-8)	
				stage:addChild(brick)
			end
		end 
	end 
	
	print (#bricks)
	stage:addChild(ballShape)
	ballShape:setPosition(100,100)
end 

local mydir = 1
local function update(e)

	local dt = e.deltaTime
	local bx,by = ballShape:getPosition()
	local vl = 350 * dt
	
	bx += vl * ball.xdir
	by += vl * ball.ydir

	ballShape:setPosition(bx , by)
	
	local mby = bricks[20]:getY()
	
	if mby < 200 then mydir = 1 elseif mby > 500 then mydir =-1 end
	local fy = mby+5*mydir

	bricks[20]:setY( fy )

	
	for i=1, #bricks do
		if bricks[i] ~= nil then
			local x,y = BoxNormalCollision(ballShape, bricks[i])
			if x ~= 0 or y ~= 0 then 
				if x ~= 0 then ball.xdir = x end
				if y ~= 0 then ball.ydir = y end
			end
		end
	end
end

sceneinit()
stage:addEventListener(Event.ENTER_FRAME, update)